MEGACOPY(1)

NAME
megacopy - Upload/download entire directories to/from your Mega.nz account

SYNOPSIS

megacopy [-n] [--no-progress] --local <path> --remote <remotepath>
megacopy [-n] [--no-progress] --download --local <path> --remote <remotepath>

DESCRIPTION

Sync remote and local directories. No files are ever overwritten or removed.

Default direction is to upload files to the cloud. If you want to download files, you have to add --download option.

OPTIONS

-r <remotepath>, --remote <remotepath>
    Remote directory path.

-l <path>, --local <path>
    Local directory path.

-d, --download
    Download files from the Mega.nz. The default is to upload.

-n, --dryrun
    Don’t perform any actual changes, just print what would be done.

--no-progress
    Disable upload progress reporting.

--disable-previews
    Never generate and upload file previews, when uploading new files

-u <email>, --username <email>
    Account username (email)

-p <password>, --password <password>
    Account password

--no-ask-password
    Never ask interactively for a password

--reload
    Reload filesystem cache

--speed-limit <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html. Some acceptable values are:

        • none : Disable proxy if it was enabled in the config file.

        • socks5://localhost:9050 : Local SOCKSv5 proxy server

        • socks5h://localhost:9050 : Local SOCKSv5 proxy server with DNS handled by the proxy

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • api: Dump Mega.nz API calls

        • fs: Dump Mega.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

--version
    Show version information

EXAMPLES

    • Upload directory.

        $ megacopy --local MyBackups --remote /Root/Backups

    • Download directory.

        $ megacopy --local MyBackups --remote /Root/Backups --download

REMOTE FILESYSTEM

Mega.nz filesystem is represented as a tree of nodes of various types. Nodes are identified by a 8 character node handles (eg. 7Fdi3ZjC). Structure of the filesystem is not encrypted.

Megatools maps node tree structure to a traditional filesystem paths (eg. /Root/SomeFile.DAT).

NOTE: By the nature of Mega.nz storage, several files in the directory can have the same name. To allow access to such files, the names of conflicting files are extended by appending dot and their node handle like this:

    /Root/conflictingfile
    /Root/conflictingfile.7Fdi3ZjC
    /Root/conflictingfile.mEU23aSD

You need to be aware of several special folders:

/Root
    Writable directory representing the root of the filesystem.

/Trash
    Trash directory where Mega.nz web client moves deleted files. This directory is not used by megatools when removing files.

/Inbox
    Not sure.

/Contacts
    Directory containing subdirectories representing your contacts list. If you want to add contacts to the list, simply create subdirectory named after the contact you want to add.

/Contacts/<email>
    Directories representing individual contacts in your contacts list. These directories contain folders that others shared with you. All shared files are read-only, at the moment.

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013-2016.

Official website is http://megatools.megous.com.